package tree;

public class InorderTraversing implements TraversingStrategy {

	public void traverseBinaryOperatorNode(BinaryOperatorNode node, Visitor v) {

		node.getLeftChild().traverse(v);
		node.visit(v);
		node.getRightChild().traverse(v);
	}

	public void traverseAbsoluteValueNode(AbsoluteValueNode node, Visitor v) {
		
		node.visit(v);
		node.getChild().traverse(v);
	}
	
	public void traverseValueNode(ValueNode node, Visitor v) {
		node.visit(v);
	}
}
