package tree;

public interface Node {

	public void traverse(Visitor v);
	public void visit(Visitor v);
	public Integer getValue();
	public void updateValue();
	public void notifyObserver();
	public void attachObserver(Node observer);
	public Node deattachObserver();
	public void changeStrategy(TraversingStrategy strategy);
	public TraversingStrategy getStrategy();
}
